--[[=============================================================================
    Properties Code

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.properties = "2014.10.31"
end

function ON_PROPERTY_CHANGED.PollingTimer(propertyValue)
	gPollingTimerInterval = propertyValue:match(".-(%d+).-") or 1

	if (gCon ~= nil) then
		gCon._PollingInterval = gPollingTimerInterval
		gCon:StartPolling(gPollingTimerInterval, "MINUTES")
	else
		LogTrace ("ON_PROPERTY_CHANGED.PollingTimer - gCon = nil, polling timer not started.")
	end
end

function ON_PROPERTY_CHANGED.SchedulePollingTimer(propertyValue)
c=1
	LogTrace ("ON_PROPERTY_CHANGED.SchedulePollingTimer: new value: " .. propertyValue)

	gSchedulePollingTimerInterval = 5

	if propertyValue == "Every 5 Minutes" then
		gSchedulePollingTimerInterval = 5
	end
	if propertyValue == "Every 30 Minutes" then
		gSchedulePollingTimerInterval = 30
	end
	if propertyValue == "Every Hour" then
		gSchedulePollingTimerInterval = 60
	end
	if propertyValue == "Every 24 Hours" then
		gSchedulePollingTimerInterval = 1440
	end

	if gSchedulePollingTimer ~= nil then
		gSchedulePollingTimer:KillTimer()
	end
	gSchedulePollingTimer = c4_timer:new("Schedule Polling Timer", gSchedulePollingTimerInterval, "MINUTES", OnSchedulePollingTimerExpired)
	gSchedulePollingTimer:StartTimer()
end


